com.sun.grid.jgdi.monitoring

## Interface ResourceQuotaRuleInfo

- All Known Implementing Classes:
    ResourceQuotaRuleInfoImpl

      public interface ResourceQuotaRuleInfo

  TODO:
    beta ?? add javadoc comments

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<java.lang.String>` | `getHosts()`
    `java.util.List<ResourceQuota>` | `getLimits()`
    `java.util.List<java.lang.String>` | `getPes()`
    `java.util.List<java.lang.String>` | `getProjects()`
    `java.util.List<java.lang.String>` | `getQueues()`
    `java.lang.String` | `getResouceQuotaRuleName()`
    `java.util.List<java.lang.String>` | `getUsers()`
    `java.util.List<java.lang.String>` | `getXHosts()`
    `java.util.List<java.lang.String>` | `getXPes()`
    `java.util.List<java.lang.String>` | `getXProjects()`
    `java.util.List<java.lang.String>` | `getXQueues()`
    `java.util.List<java.lang.String>` | `getXUsers()`

- - ### Method Detail

    - #### getResouceQuotaRuleName

          java.lang.String getResouceQuotaRuleName()

    - #### getUsers

          java.util.List<java.lang.String> getUsers()

    - #### getProjects

          java.util.List<java.lang.String> getProjects()

    - #### getPes

          java.util.List<java.lang.String> getPes()

    - #### getQueues

          java.util.List<java.lang.String> getQueues()

    - #### getHosts

          java.util.List<java.lang.String> getHosts()

    - #### getXUsers

          java.util.List<java.lang.String> getXUsers()

    - #### getXProjects

          java.util.List<java.lang.String> getXProjects()

    - #### getXPes

          java.util.List<java.lang.String> getXPes()

    - #### getXQueues

          java.util.List<java.lang.String> getXQueues()

    - #### getXHosts

          java.util.List<java.lang.String> getXHosts()

    - #### getLimits

          java.util.List<ResourceQuota> getLimits()

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.